# Note that this is NOT a relocatable package
%define version      1.2.2
%define release      4mdk

Summary: The GNOME control center.
Name: control-center
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Graphical desktop/GNOME
BuildRequires: XFree86-devel ORBit-devel imlib-devel xpm-devel gnome-libs-devel audiofile-devel esound-devel gdk-pixbuf-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
Source1: control-center.png.bz2
Source2: gnomecc.desktop.bz2
Source3: ccsplash_mdk.png.bz2

#Icon: control-center-logo.xpm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org


Patch:control-center-esdrelease.patch.bz2

Patch3: control-center-fsbgpath.patch.bz2

Patch7: control-center-limitedbgs.patch.bz2
Patch9: control-center-1.0.53-mdk-bell.patch.bz2
Patch11: control-center-esdstoppediffailed.patch.bz2
#no longer needed : correct in 1.2.2
Patch12: control-center-background.patch.bz2
#default background
Patch13: control-center-default-background.patch.bz2

#Helix patches
Patch52:	background-gradient.patch.bz2
Patch53:	gnomecc-mac_ctree.patch.bz2


Requires: gnome-libs, mandrake_desk >= 7.2-8mdk

%description
Control-center is a configuration tool for easily
setting up your GNOME environment.

GNOME is the GNU Network Object Model Environment. That's
a fancy name, but really GNOME is a nice GUI desktop 
environment. 

It's a powerful, easy to configure environment which
helps to make your computer easy to use.

%package devel
Summary: GNOME control-center development files.
Group: Development/GNOME and GTK+
Requires: control-center = %{PACKAGE_VERSION}
Requires: gnome-libs-devel

%description devel
If you're interested in developing panels for the GNOME
control center, you'll want to install this package.

Control-center-devel helps you create the 'capplets'
which are used in the control center.

%prep
%setup -q

%patch -p1 -b .esdrelease

%patch3 -p1 -b .fsbgpath

%patch7 -p1 -b .limitedbgs

%patch9 -p1 -b .bell

# (Fred C.)
%patch11 -p1 -b .esd
#%patch12 -p1 -b .background
%patch13 -p1 -b .defaultbg

%patch52 -p1 -b .hel-bg
%patch53 -p1 -b .mac-ctree


bzcat %{SOURCE1} > $RPM_BUILD_DIR/control-center-%{PACKAGE_VERSION}/control-center/control-center.png
bzcat %{SOURCE2} > $RPM_BUILD_DIR/control-center-%{PACKAGE_VERSION}/control-center/gnomecc.desktop
bzcat %{SOURCE3} > $RPM_BUILD_DIR/control-center-%{PACKAGE_VERSION}/control-center/ccsplash.png


%build

%configure

%make	  

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

### clear out ui props for now
##rm -f $RPM_BUILD_ROOT%{prefix}/bin/ui-properties
##rm -rf $RPM_BUILD_ROOT%{prefix}/share/control-center/UIOptions
##rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Settings/UIOptions

# remove screensaver config files, there are now provided by xscreensaver packages
rm -rf  $RPM_BUILD_ROOT%{_datadir}/control-center/.data/*

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_datadir}/control-center
%{_datadir}/pixmaps/*
%{_datadir}/gnome/wm-properties/*
%{_datadir}/gnome/help/*
#%{_datadir}/gnome/apps/Settings/*

%files devel
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*Conf.sh
%{_datadir}/idl/*
%{_includedir}/*

%changelog
* Fri Oct  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-4mdk
- Rebuild package for bad pixmaps

* Tue Oct  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-3mdk
- Add support for standard background

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-2mdk
- No longer provide screensaver config file, there are now in xscreensaver* packages

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-6mdk
- Correct bug in background applet (Thanks Dadou)

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Add help files

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-4mdk
- Really use find_lang (Thanks to Goetz Waschk)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk
- use find_lang macro
- don't provide some .desktop

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- regenerate patch 3 & 7 since code has moved too much
- clean spec
- po files has been updated upstream, no longer add them manually

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-7mdk
- correct patch disabling load of esd when failure

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- rebuild to remove dependency on alsa
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-5mdk
- BM + marcozification

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- correct bad start of esd when specified not load it 
- add patch control-center-esdstoppediffailed.patch.bz2

* Mon Jun 26 2000 dam's <damien@mandrakesoft.com> 1.2.0-3mdk
- corrected logo installation.

* Fri Jun 23 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- Added Mandrake logo.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix version.
- added helix patches.
- removed patch 8.

* Tue May 09 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-4mdk
- set the f****** annoying bell to 0 percent.

* Sun May 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-3mdk
- set default background to beautiful blue gradient. 

* Tue Apr 24 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-2mdk
- control-center requires gnome-core 
- menu entry should be handled in gnome-core_menuentries.
- add po patch from helix 
- cleanup spec : no binary stripping (should be done by spec helper)

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.53-1mdk
- release 1.0.53-1mdk 

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- update group

* Thu Dec 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Updated .po files, and .desktop (from pablo) 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Remove added icons they are there now
- SMP build macro
- 1.0.51 

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Wed Aug 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.6 (from CVS; includes translations files more up-to-date than
  the control-center-1.0.6 available on ftp sites)
- removed some obsolete patches
- included some icons not yet in gnome-core

* Mon Aug 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib13.
- Forget to increase release.

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (24mdk)

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with RedHat :
	- updated RPM to use new control-center.
	- fixed sound-properties to only disable sound when run with --init-settings-..
	- removed debugging output from several capplets, fixed try behaviour of sm
	  and gnome-edit capplets
	- fixed bug in screensaver and background props
	- added new icons

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.
- Stripping again ;-).

* Mon Apr 05 1999 Jonathan Blandford <jrb@redhat.com>
- added a patch to fix the close dialog
- added a patch to limit the number of bg's in the history.

* Fri Apr 02 1999 Jonathan Blandford <jrb@redhat.com>
- vesion 1.0.5
- removed all patches >10 other then dontstartesd.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- removed UI props till it works better

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- make sure we DONT inadvertantly start esd by calling esd_open_...

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- changed default bg color to '#356390'

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- prime file selector path for browse in background-props if 
  "/usr/share/pixmaps/backgrounds/" exists.
- fix behavior of file selector when you delete/cancel/ok it

* Wed Mar 24 1999 Michael Fulbright <drmike@redhat.com>
- added patch to fix trying in theme selector 
- disabled crystal screensaver, it does evil things to preview in capplet

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4, fixes problems with sndprops and theme props among
  other things.

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix sound-properties capplet so Try/Revert doesnt come on unless user
  changes something
- fixed theme-selector to not leave processes behind on Linux 2.2 kernels
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3
- added patch to make esd release after 30 sec of inactivity

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- turned off sound by default

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.1

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8.1
- added etc/CORBA/servers/* to file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.8
- added /usr/lib/cappletConf.sh

* Mon Feb 08 1999 The Rasterman <raster@redhat.com>
- update to 0.99.5.1

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.5

* Mon Jan 20 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3.1

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3
- seems like patch for non-standard xscreensaver placement was already in
  prestine sources(?)

* Wed Jan 06 1999 Jonathan Blandford <jrb@redhat.com>
- updated to 0.99.1
- temporary hack patch to get path to work to non-standard placement
  of xscreensaver binaries in RH 5.2

* Wed Dec 16 1998 Jonathan Blandford <jrb@redhat.com>
- Created for the new control-center branch
